## visad
Class CoordinateSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.CoordinateSystemException

All Implemented Interfaces:
  Serializable

public class CoordinateSystemException
extends VisADException

CoordinateSystemException is an exception for a bad VisAD CoordinateSystem.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`CoordinateSystemException()` construct a CoordinateSystemException with no message
`CoordinateSystemException(CoordinateSystem cs1, CoordinateSystem cs2)` construct a CoordinateSystemException for unequal CoordinateSystems
`CoordinateSystemException(String s)` construct a CoordinateSystemException with given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoordinateSystemException

    public CoordinateSystemException()

  construct a CoordinateSystemException with no message

### CoordinateSystemException

    public CoordinateSystemException(String s)

  construct a CoordinateSystemException with given message

Parameters:
  `s` - - message String

### CoordinateSystemException

    public CoordinateSystemException(CoordinateSystem cs1,
                                     CoordinateSystem cs2)

  construct a CoordinateSystemException for unequal CoordinateSystems

Parameters:
  `cs1` - - first CoordinateSystem
  `cs2` - - second CoordinateSystem